StreamCharBuffer.StreamCharBufferSubChunk (Grails 6.0.0)

Package: org.grails.buffer

## [Java] Class StreamCharBuffer.StreamCharBufferSubChunk

- org.grails.buffer.StreamCharBuffer.StreamCharBufferSubChunk

-     final class StreamCharBuffer.StreamCharBufferSubChunk
      extends AbstractChunk

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `cachedSize` |
    `private StreamCharBuffer` | `encodedBuffer` |
    `int` | `encodedSourceChangesCounter` |
    `private java.util.List<Encoder>` | `encoders` |
    `private StreamCharBuffer` | `sourceBuffer` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StreamCharBufferSubChunk (StreamCharBuffer sourceBuffer, java.util.List<Encoder> encoders)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `encodeTo(EncodedAppender appender, Encoder encodeToEncoder)`
    `` | `public void` | `encodeTo(java.io.Writer writer, EncodesToWriter encoder)`
    `` | `private void` | `encodeToEncodedBuffer()`
    `` | `public ChunkReader` | `getChunkReader(boolean removeAfterReading)`
    `` | `public StreamCharBuffer` | `getEncodedBuffer()`
    `` | `public StreamCharBuffer` | `getSourceBuffer()`
    `` | `public boolean` | `hasCachedSize()`
    `` | `protected boolean` | `hasEncodedBufferAvailable()`
    `` | `protected boolean` | `hasOnlyStreamingEncoders()`
    `` | `public boolean` | `resetSubBuffer()`
    `` | `public int` | `size()`
    `` | `public void` | `subtractFromTotalCount()`
    `` | `public void` | `writeTo(java.io.Writer target)`

- - ### Field Detail

    - #### int cachedSize

    - #### private StreamCharBuffer encodedBuffer

    - #### int encodedSourceChangesCounter

    - #### private java.util.List<Encoder> encoders

    - #### private StreamCharBuffer sourceBuffer

  - ### Constructor Detail

    - #### public StreamCharBufferSubChunk(StreamCharBuffer sourceBuffer, java.util.List<Encoder> encoders)

  - ### Method Detail

    - #### @java.lang.Override public void encodeTo(EncodedAppender appender, Encoder encodeToEncoder)

    - #### @java.lang.Override public void encodeTo(java.io.Writer writer, EncodesToWriter encoder)

    - #### private void encodeToEncodedBuffer()

    - #### @java.lang.Override public ChunkReader getChunkReader(boolean removeAfterReading)

    - #### public StreamCharBuffer getEncodedBuffer()

    - #### public StreamCharBuffer getSourceBuffer()

    - #### public boolean hasCachedSize()

    - #### protected boolean hasEncodedBufferAvailable()

    - #### protected boolean hasOnlyStreamingEncoders()

    - #### public boolean resetSubBuffer()

    - #### @java.lang.Override public int size()

    - #### @java.lang.Override public void subtractFromTotalCount()

    - #### @java.lang.Override public void writeTo(java.io.Writer target)